OpenVMPS Logging Function Format String

High Nessus Plugin ID 20067


The remote host is running a service that is affected by a format string vulnerability.


The remote host appears to be running OpenVMPS, an open source VLAN Management Policy Server (VMPS).

There is a format string vulnerability in versions of OpenVMPS up to and including 1.3 that may allow remote attackers to crash the server or execute code on the affected host subject to the privileges under which the server operates, possibly root.


Use a firewall to filter access to the affected port.

Plugin Details

Severity: High

ID: 20067

File Name: openvmps_format_string.nasl

Version: $Revision: 1.16 $

Type: remote

Published: 2005/10/20

Modified: 2013/01/11

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 7.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:U/RC:C

Vulnerability Information

CPE: cpe:/a:openvmps:openvmps

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2005/10/10

Reference Information

CVE: CVE-2005-4714

BID: 15072

OSVDB: 19910